Open SCAP Library: cvrf_product_tree Struct Reference

Open SCAP Library

Public Member Functions | Data Fields
cvrf_product_tree Struct Reference

## Public Member Functions
xmlNode * | cvrf_product_tree_to_dom (struct cvrf_product_tree *tree)
| Parent: CVRF Model root node. More...
struct cvrf_product_tree * | cvrf_product_tree_new (void)
| New ProductTree structure. More...
void | cvrf_product_tree_free (struct cvrf_product_tree *tree)
| Deallocates memory for a ProductTree element and all its child Branches, Relationships, and FullProductNames, if they exist. More...
struct cvrf_product_tree * | cvrf_product_tree_clone (const struct cvrf_product_tree *tree)
const char * | get_cvrf_product_id_from_cpe (struct cvrf_product_tree *tree, const char *cpe)
| Find the unique ProductID for the given CPE by searching the branches of the ProductTree: find the ProductID attribute for the FullProductName element with the appropriate CPE. More...
int | cvrf_product_tree_filter_by_cpe (struct cvrf_product_tree *tree, const char *cpe)
| Use the CPE name to find the matching ProductID, then filter the tree by removing branches and relationship elements not related to that ProductID. More...
bool | cvrf_product_tree_add_product_name (struct cvrf_product_tree *tree, struct cvrf_product_name *full_name)
struct cvrf_product_name_iterator * | cvrf_product_tree_get_product_names (const struct cvrf_product_tree *tree)
bool | cvrf_product_tree_add_relationship (struct cvrf_product_tree *tree, struct cvrf_relationship *relation)
struct cvrf_relationship_iterator * | cvrf_product_tree_get_relationships (const struct cvrf_product_tree *tree)
bool | cvrf_product_tree_add_group (struct cvrf_product_tree *tree, struct cvrf_group *group)
struct cvrf_group_iterator * | cvrf_product_tree_get_product_groups (const struct cvrf_product_tree *tree)

## Data Fields
struct oscap_list * | product_names
struct oscap_list * | branches
struct oscap_list * | relationships
struct oscap_list * | product_groups

## Member Function Documentation

## ◆ cvrf_product_tree_to_dom()

xmlNode * cvrf_product_tree_to_dom | ( | struct cvrf_product_tree * | tree | ) |

Parent: CVRF Model root node.

Parameters

  tree | CVRF ProductTree structure to be exported to XML

Returns
  xmlNode representing ProductTree element

The documentation for this struct was generated from the following files:

- cvrf_priv.c
- cvrf_priv.h
- cvrf.h